Package org.mariadb.jdbc.client.impl

## Class ReplayClient

- java.lang.Object
- - org.mariadb.jdbc.client.impl.StandardClient
  - - org.mariadb.jdbc.client.impl.ReplayClient

All Implemented Interfaces:
  `AutoCloseable`, `org.mariadb.jdbc.client.Client`

    public class ReplayClient
    extends StandardClient

### Field Summary

### Fields inherited from class org.mariadb.jdbc.client.impl.StandardClient

`context, exceptionFactory, writer`

### Constructor Summary

Constructors
`ReplayClient​(Configuration conf, HostAddress hostAddress, ReentrantLock lock, boolean skipPostCommands)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<org.mariadb.jdbc.client.Completion>` `execute​(org.mariadb.jdbc.message.ClientMessage message, Statement stmt, int fetchSize, long maxRows, int resultSetConcurrency, int resultSetType, boolean closeOnCompletion)`
`List<org.mariadb.jdbc.client.Completion>` `executePipeline​(org.mariadb.jdbc.message.ClientMessage[] messages, Statement stmt, int fetchSize, long maxRows, int resultSetConcurrency, int resultSetType, boolean closeOnCompletion)`
`int` `sendQuery​(org.mariadb.jdbc.message.ClientMessage message)`
`void` `transactionReplay​(TransactionSaver transactionSaver)`

### Methods inherited from class org.mariadb.jdbc.client.impl.StandardClient

`abort, checkNotClosed, close, closePrepare, createSessionVariableQuery, destroySocket, execute, execute, getContext, getExceptionFactory, getHostAddress, getSocketTimeout, getWaitTimeout, isClosed, isPrimary, readPacket, readPacket, readResponse, readResponse, readStreamingResults, reset, setReadOnly, setSocketTimeout`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReplayClient

    public ReplayClient​(Configuration conf,
                        HostAddress hostAddress,
                        ReentrantLock lock,
                        boolean skipPostCommands)
                 throws SQLException

Throws:
  `SQLException`

### Method Detail

#### sendQuery

    public int sendQuery​(org.mariadb.jdbc.message.ClientMessage message)
                  throws SQLException

Overrides:
  `sendQuery` in class `StandardClient`
Throws:
  `SQLException`

#### executePipeline

    public List<org.mariadb.jdbc.client.Completion> executePipeline​(org.mariadb.jdbc.message.ClientMessage[] messages,
                                                                    Statement stmt,
                                                                    int fetchSize,
                                                                    long maxRows,
                                                                    int resultSetConcurrency,
                                                                    int resultSetType,
                                                                    boolean closeOnCompletion)
                                                             throws SQLException

Specified by:
  `executePipeline` in interface `org.mariadb.jdbc.client.Client`
Overrides:
  `executePipeline` in class `StandardClient`
Throws:
  `SQLException`

#### execute

    public List<org.mariadb.jdbc.client.Completion> execute​(org.mariadb.jdbc.message.ClientMessage message,
                                                            Statement stmt,
                                                            int fetchSize,
                                                            long maxRows,
                                                            int resultSetConcurrency,
                                                            int resultSetType,
                                                            boolean closeOnCompletion)
                                                     throws SQLException

Specified by:
  `execute` in interface `org.mariadb.jdbc.client.Client`
Overrides:
  `execute` in class `StandardClient`
Throws:
  `SQLException`

#### transactionReplay

    public void transactionReplay​(TransactionSaver transactionSaver)
                           throws SQLException

Throws:
  `SQLException`